Subject: [PATCH python-team 00/38] Further patches on python-team.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Sat, 05 Apr 2025 22:07:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've fixed some failing packages in the chain but have no chance to
check how to deal with these two:
--8<---------------cut here---------------start------------->8---
> ./pre-inst-env guix build -M8 -P1 -k clipper2 -P1 python-poetry-core@2
 -P1 string-view-lite -P1 autokey -P1 labelme -P1 mageck -P1
 python-attr -P1 python-bed-reader -P1 python-botorch -P1
 python-country-converter -P1 python-crontab -P1 python-django-rq -P1
 python-duniterpy -P1 python-flask-seasurf -P1 python-furl -P1
 python-gpytorch -P1 python-itemloaders -P1 python-lcapy -P1
 python-linear-operator -P1 python-pgmpy -P1 python-pgpy -P1
 python-port-for -P1 python-property-cached -P1 python-pyro4 -P1
 python-pysnptools -P1 python-pytensor -P1 python-pytorch-geometric -P1
 python-qasync -P1 python-rq -P1 python-rq-scheduler -P1 python-serpent
 -P1 python-stone -P1 python-vaex-core -P1 scregseg 2>&1 | grep "drv failed"

build of /gnu/store/bcj5hy335qcx92w6jb7f68a7759dbvs7-silkaj-0.10.0.drv failed
build of /gnu/store/mr1pl70mgjwh7m1lark373crk5pl1lys-python-django-3.1.14.drv failed
--8<---------------cut here---------------end--------------->8---

* python-django-3.1.14
Maybe we can get read of it?

* silkaj-0.10.0
Requires a fresh https://github.com/python-pendulum/pendulum, requires
Rust, fails to build due to https://github.com/python-pendulum/pendulum/issues/857

Pushed to python-team.

--
Oleg